Subject: Re: stdcall lib functions with exception throwing callbacks vs Dwarf2 EH
From: Andrew Haley <[email-masked]>
To: Richard Henderson <[email-masked]>
Cc: "Aaron W. LaFramboise" <[email-masked]>, Danny Smith <[email-masked]>, [email-masked], Cygwin <[email-masked]>, mingw-dvlpr <[email-masked]>
Date: Wed, 24 Nov 2004 17:39:43 +0000

Richard Henderson writes:
 > On Wed, Nov 24, 2004 at 02:51:35AM -0600, Aaron W. LaFramboise wrote:
 > > Is there a way to have the DW2 unwinder call some particular function,
 > > for eg, if the previous frame was not compiled with -fexceptions, rather
 > > than just crashing?  Is this what MD_FALLBACK_FRAME_STATE_FOR is for?
 > 
 > Yes, sortof.  I don't know if you can make it do what you want, exactly.
 > 
 > > Other Windows compilers are able to handle this condition.
 > 
 > If you want to be able to handle this, I recommend that you NOT use dwarf2.

DWARF2 unwinder data is required by Java for things other than just
throwing exceptions.  If it's possible to create a
MD_FALLBACK_FRAME_STATE_FOR that can unwind through SEH frames -- and
I believe it is -- we should do so.

Andrew.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/